not.hpp File Reference

Forward declares `boost::hana::not_`. More...

## Namespaces

| boost::hana
| Namespace containing everything in the library.

## Variables

constexpr auto | boost::hana::not_
| Negates a `Logical`.This method returns a `Logical` with the same tag, but whose truth-value is negated. Specifically, `not_(x)` returns a false-valued `Logical` if `x` is a true-valued `Logical`, and a true-valued one otherwise. More...

## Detailed Description

Forward declares `boost::hana::not_`.

Copyright
  Louis Dionne 2013-2017 Distributed under the Boost Software License, Version 1.0. (See accompanying file LICENSE.md or copy at http://boost.org/LICENSE_1_0.txt)